javax.swing.event

## Class TreeSelectionEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.TreeSelectionEvent

- All Implemented Interfaces:
    Serializable

      public class TreeSelectionEvent
      extends EventObject

  An event that characterizes a change in the current selection. The change is based on any number of paths. TreeSelectionListeners will generally query the source of the event for the new selected status of each potentially changed row.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

  See Also:
    `TreeSelectionListener`, `TreeSelectionModel`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean[]` | `areNew` For each path identifies if that path is in fact new.
    `protected TreePath` | `newLeadSelectionPath` leadSelectionPath after the paths changed, may be null.
    `protected TreePath` | `oldLeadSelectionPath` leadSelectionPath before the paths changed, may be null.
    `protected TreePath[]` | `paths` Paths this event represents.

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeSelectionEvent(Object source, TreePath[] paths, boolean[] areNew, TreePath oldLeadSelectionPath, TreePath newLeadSelectionPath)` Represents a change in the selection of a TreeSelectionModel.
    `TreeSelectionEvent(Object source, TreePath path, boolean isNew, TreePath oldLeadSelectionPath, TreePath newLeadSelectionPath)` Represents a change in the selection of a TreeSelectionModel.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `cloneWithSource(Object newSource)` Returns a copy of the receiver, but with the source being newSource.
    `TreePath` | `getNewLeadSelectionPath()` Returns the current lead path.
    `TreePath` | `getOldLeadSelectionPath()` Returns the path that was previously the lead path.
    `TreePath` | `getPath()` Returns the first path element.
    `TreePath[]` | `getPaths()` Returns the paths that have been added or removed from the selection.
    `boolean` | `isAddedPath()` Returns true if the first path element has been added to the selection, a return value of false means the first path has been removed from the selection.
    `boolean` | `isAddedPath(int index)` Returns true if the path identified by `index` was added to the selection.
    `boolean` | `isAddedPath(TreePath path)` Returns true if the path identified by path was added to the selection.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### paths

          protected TreePath[] paths

      Paths this event represents.

    - #### areNew

          protected boolean[] areNew

      For each path identifies if that path is in fact new.

    - #### oldLeadSelectionPath

          protected TreePath oldLeadSelectionPath

      leadSelectionPath before the paths changed, may be null.

    - #### newLeadSelectionPath

          protected TreePath newLeadSelectionPath

      leadSelectionPath after the paths changed, may be null.

  - ### Constructor Detail

    - #### TreeSelectionEvent

          public TreeSelectionEvent(Object source,
                            TreePath[] paths,
                            boolean[] areNew,
                            TreePath oldLeadSelectionPath,
                            TreePath newLeadSelectionPath)

      Represents a change in the selection of a TreeSelectionModel. paths identifies the paths that have been either added or removed from the selection.
      Parameters:
        `source` - source of event
        `paths` - the paths that have changed in the selection

    - #### TreeSelectionEvent

          public TreeSelectionEvent(Object source,
                            TreePath path,
                            boolean isNew,
                            TreePath oldLeadSelectionPath,
                            TreePath newLeadSelectionPath)

      Represents a change in the selection of a TreeSelectionModel. path identifies the path that have been either added or removed from the selection.
      Parameters:
        `source` - source of event
        `path` - the path that has changed in the selection
        `isNew` - whether or not the path is new to the selection, false means path was removed from the selection.

  - ### Method Detail

    - #### getPaths

          public TreePath[] getPaths()

      Returns the paths that have been added or removed from the selection.

    - #### getPath

          public TreePath getPath()

      Returns the first path element.

    - #### isAddedPath

          public boolean isAddedPath()

      Returns true if the first path element has been added to the selection, a return value of false means the first path has been removed from the selection.

    - #### isAddedPath

          public boolean isAddedPath(TreePath path)

      Returns true if the path identified by path was added to the selection. A return value of false means the path was in the selection but is no longer in the selection. This will raise if path is not one of the paths identified by this event.

    - #### isAddedPath

          public boolean isAddedPath(int index)

      Returns true if the path identified by `index` was added to the selection. A return value of false means the path was in the selection but is no longer in the selection. This will raise if index < 0 || >= `getPaths`.length.
      Since:
        1.3

    - #### getOldLeadSelectionPath

          public TreePath getOldLeadSelectionPath()

      Returns the path that was previously the lead path.

    - #### getNewLeadSelectionPath

          public TreePath getNewLeadSelectionPath()

      Returns the current lead path.

    - #### cloneWithSource

          public Object cloneWithSource(Object newSource)

      Returns a copy of the receiver, but with the source being newSource.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.